Subject: [Gen-art] Gen-art review of draft-ietf-rmt-bb-fec-rs-04.txt

From: Elwyn Davies <[email-masked]>
Date: Thu, 18 Oct 2007 14:42:43 +0100

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-rmt-bb-fec-rs-04.txt
Reviewer: Elwyn Davies
Review Date: 18 October 2007 
IETF LC End Date: 25 October 2007
IESG Telechat date: (if known) -

Summary:
Almost ready for IESG.  I found one very minor issue and a few editorial nits (see below). I think a reference to a theoretical and/or algorithmic treatment of Reed-Solomon codes and their use of Vandermonde matrices would be helpful to assist should anybody be masochistic enough to want to recode the Rizzo codec from scratch.

Caveat: I am not skilled in the FEC art and although I have enough maths to understand what is going on I have not been able to check that the descriptions in ss8.1-8.3 are (sufficiently) complete and correct.

Comments:
I am not an expert in error correcting codes (although I am a mathematician with enough background to understand roughly what is going on), so I haven't checked the exact details of the algorithm descriptions in gory detail - I assume the experts have!  More importantly, given that this document sort of assumes that any sane person would use Rizzo's code, we need to be sure that there is enough detail to be able to independently code a protocol/codec without resort to the Rizzo code.  I have a reasonably warm fuzzy feeling that this is the case, given that the Reed-Solomon system is well-known and the protocol is pretty much independent of the algorithm details, but it would be good to have (1) assurance from an expert that this is so and (2) a suitable reference to a theoretical description of the algorithms that could help with an independent implementation.

s6.1: The units of 'rate' are not specified and I can't find anything relevant in the FLUTE spec (for example). Also affects s6.2.

Editorial:
General:  Using symbolic rather than numeric references is preferred.
General: The meaning of the symbols '^^' (exponentiation) and 'log^^n' (preseumably log to the base n) should be explained.

Abstract/s1: the terms 'erasure' and 'packet erasure channel' are well known jargon in the FEC art, but they are obscure for general readers.  Using a non-jargon term in the abstract would be desirable and pointing at [4] - RFC 3453 - for a definition of terms including erasure would be useful.

s1: It would be useful to point more specifically to RFC 5052 for the definition of the terms Fully- and Under-Specified FEC Scheme.

s6.1: s/equal than/equal to/, s/associated to/associated with/

s8: An external reference explaining the theory of Reed-Solomon codes and the use of Vandermonde matrices would be useful.

s9.2: Acronyms ECC and IPR need expanding - maybe also better to say 
'ECC is the subject of proprietary patents' rather than 'protected by IPR'.

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art